Create a Secure Compute network
POST
https://api.vercel.com/v1/connect/networksAllows to create a Secure Compute network.
https://api.vercel.com/v1/connect/networks
const response = await fetch('https://api.vercel.com/v1/connect/networks?teamId=string&slug=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "awsAvailabilityZoneIds": [], "cidr": "192.168.0.0/16", "name": "Example Name", "region": "iad1" }),});
const data = await response.json();console.log(data);Response
{ "awsAccountId": "example_id", "awsAvailabilityZoneIds": [], "awsRegion": "string", "cidr": "example_id", "createdAt": "123", "egressIpAddresses": [], "hostedZones": { "count": "123" }, "id": "icfg_1234567890", "name": "Example Name", "peeringConnections": { "count": "123" }, "projects": { "count": "123", "ids": [] }, "region": "string", "status": "create_in_progress", "teamId": "example_id", "vpcId": "example_id"}AuthorizationbearerToken
Default authentication mechanism
201Success
The IDs of the AWS Availability Zones in which the network exists, if specified during creation.
The date at which the Network was created, represented as a UNIX timestamp since EPOCH.
Metadata about any AWS Route53 Hosted Zones associated with the Network.
400One of the provided values in the request body is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
409Error
410Error